Skip to content

Act! Obsolescence

We need to make all users of Act! Software that a 3rd party component of the software, which facilitates licencing services, is being retired at the end of 2018.

For users of Act! V17 or below, this means that, as of 1st January 2019, you will not be able to do certain items that involve using this service.  These include things like installing the software, whether it be a re-install on an existing machine or a fresh install or changing the network card in the PC.  If you try to do this, your Act! Product will fail to re-activate and you will lose access to the software completely, so beware.

If you are on Act! V18, it is slightly different.  As this product is about to become an unsupported version, there will be a one-time update available in January to provide the functionality.  However, Act! cannot guarantee how long this will be available for, so we would suggest your best course of action would be to upgrade your software to the latest version before this point.  There are some special upgrade offers available at the moment, so if you would like to do this please contact us and we can advise of the costs associated with upgrading.

Finally, if you are on Act! V19 or above, these are supported versions and so a fix will be released for them.  To ensure that you have uninterrupted access to your software, it is imperative that you apply this update before 31st December 2018.

These updates have expected availability dates as below:

Update 2 for v21.0 from November 20th, 2018

Update 8 for v20.1 from December 6th, 2018

Update 9 for v20.0 from December 13th, 2018

Update 5 for v19.2 from December 20th, 2018

If you need assistance with applying these updates, please contact us and we will happily assist.

For further information about Act!, please do not hesitate to get in touch with us.

Would you like to know more?

Arrange a quick face to face chat to see if we can improve the way your business works?